CEL: Crystal Entity Layer: iCelRule Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelRule Struct Reference

A rule. More...

`#include <tools/rulebase.h>`

List of all members.

## Public Member Functions
virtual iCelExpression * | GetExpression ()=0
| Get the expression corresponding with this rule.
virtual const char * | GetName () const =0
| Get the name of this rule.
virtual csStringID | GetPriority ()=0
| Get the priority ID for this rule.
virtual size_t | GetPriorityNumber () const =0
| Get a priority number as defined by the rule base.
virtual const char * | GetVariable () const =0
| Get the name of the variable that this rule will influence.
virtual size_t | GetVariableIndex ()=0
| Get the index of the local variable that will be used by the expression for the variable that this rule influences.
virtual void | SetExpression (iCelExpression *expr)=0
| Set the expression corresponding with this rule.
virtual void | SetPriority (csStringID priority)=0
| Set the priority ID for this rule.
virtual void | SetVariable (const char *var)=0
| Set the name of the variable that this rule will influence.

## Detailed Description

A rule.

Definition at line 33 of file rulebase.h.

## Member Function Documentation

virtual iCelExpression* iCelRule::GetExpression | ( |  | ) | `[pure virtual]`

Get the expression corresponding with this rule.

virtual const char* iCelRule::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this rule.

virtual csStringID iCelRule::GetPriority | ( |  | ) | `[pure virtual]`

Get the priority ID for this rule.

virtual size_t iCelRule::GetPriorityNumber | ( |  | ) | const`[pure virtual]`

Get a priority number as defined by the rule base.

virtual const char* iCelRule::GetVariable | ( |  | ) | const`[pure virtual]`

Get the name of the variable that this rule will influence.

virtual size_t iCelRule::GetVariableIndex | ( |  | ) | `[pure virtual]`

Get the index of the local variable that will be used by the expression for the variable that this rule influences.

virtual void iCelRule::SetExpression | ( | iCelExpression * | expr | ) | `[pure virtual]`

Set the expression corresponding with this rule.

virtual void iCelRule::SetPriority | ( | csStringID | priority | ) | `[pure virtual]`

Set the priority ID for this rule.

virtual void iCelRule::SetVariable | ( | const char * | var | ) | `[pure virtual]`

Set the name of the variable that this rule will influence.

The documentation for this struct was generated from the following file:

- tools/rulebase.h